%define qtdir /usr/lib/qt3
%define kdedir %prefix
%define objprelink 1

Name: kpacman
Version: 0.3.1
Release: alt3

Group: Games/Arcade
Summary: Clone of the popular 80's game
URL: http://kpacman.sourceforge.net
License: GPL

Source0: %name-%version.tar.bz2
%ifdef nosource
NoSource: 0
%endif
Patch1: kpacman-0.3.1-highScoreHack.patch
Patch2: kpacman-0.3.1-kde3.patch

Requires: kdelibs

# Automatically added by buildreq on Fri Feb 22 2002
#BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ kde-common kde-i18n-fr kde-i18n-ru kdebase kdelibs-devel libarts-devel libjpeg-devel liblcms libmng libpng-devel libqt2-devel libstdc++-devel libxml2 libxslt xml-utils zlib-devel

BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: kde-common kdelibs-devel libarts-devel libjpeg-devel liblcms
BuildRequires: libmng libpng-devel libqt3-devel libstdc++-devel
BuildRequires: libxml2 libxslt xml-utils zlib-devel
%if %objprelink
BuildRequires: objprelink
%endif

%description
KDE version popular 80's Pac Man game.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
export QTDIR=%qtdir
export KDEDIR=%kdedir
export LDFLAGS=-L$QTDIR/lib
export CXXFLAGS="%optflags" CFLAGS="%optflags"
%configure \
	    --enable-shared \
	    --disable-static \
	    --disable-rpath \
	    --program-transform-name="" \
	    --with-xinerama


%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install

mkdir -p -m755 %buildroot/var/lib/games/kpacman
touch %buildroot/var/lib/games/kpacman/highScore
chmod 666 %buildroot/var/lib/games/kpacman/highScore

mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name Amusement/Arcade  %buildroot%_datadir/applnk/Games/%name.desktop %buildroot/%_menudir/%name

%find_lang %name


%post
%update_menus

%postun
%clean_menus


%files -f %name.lang
%_bindir/*
%_docdir/HTML/en/%name
%_datadir/apps/%name
%_datadir/config/%{name}rc
%_iconsdir/locolor/16x16/apps/kpacman.png
%_iconsdir/locolor/32x32/apps/kpacman.png

%dir /var/lib/games/kpacman/
%config(noreplace) %_localstatedir/games/%name/highScore

%_menudir/*

%changelog
* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 0.3.1-alt3
- rebuild with gcc3.2

* Sat Apr 27 2002 Sergey V Turchin <zerg@altlinux.ru> 0.3.1-alt2
- build with KDE3

* Thu Feb 21 2002 Sergey V Turchin <zerg@altlinux.ru> 0.3.1-alt1
- new version
- clean .spec

* Tue Oct 16 2001 Sergey V Turchin <zerg@altlinux.ru> 0.2.6-alt1
- new version
- fixed bug #0000065

* Mon May 21 2001 Sergey V Turchin <zerg@altlinux.ru> 0.2.5-ipl10mdk
- clean .spec

* Fri May 18 2001 Sergey V Turchin <zerg@altlinux.ru> 0.2.5-ipl9mdk
- fix write highScore to /var/lib/games

* Mon Dec 11 2000 AEN <aen@logic.ru>
- fix requires
- build for RE

* Fri Oct  6 2000 Etienne Faure  <etienne@mandraksoft.com> 0.2.5-7mdk
- removed internationnalisation

* Tue Sep 12 2000 Etienne Faure  <etienne@mandraksoft.com> 0.2.5-6mdk
- rebuild with new lib path

* Thu Apr 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-5mdk
- merge menu file with spec

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-4mdk
- disable rpath

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-3mdk
- clean specfile
- fix files section

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.
